package com.qmth.qrzk.repository.user.service.impl;

import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;

import com.qmth.qrzk.repository.utils.Consts;

public class OLUserSession implements HttpSessionListener {

	@Override
	public void sessionCreated(HttpSessionEvent se) {
		
	}

	@Override
	public void sessionDestroyed(HttpSessionEvent se) {
		 HttpSession session = se.getSession();
	     Consts.OLUserMap.remove(session.getId());
	}

}
